#ifndef CENTER_HPP_
#define CENTER_HPP_

#include <Widget/Layout/Layout.hpp>

/**
 * @brief The 'center' layout, centers its child.
 * 
 * The child is set to its minimum size, and centered within the space given to the
 * widget.
 */
class Center : public Layout
{
public:
    /**
     * @brief Construct a new Center object
     * 
     * @param child 
     */
    Center(Widget *child);

    virtual void layout() override;
    virtual glm::ivec2 getMinSize() override;
};

#endif